/*
 * @Author: xhc 15171145581@163.com
 * @Date: 2025-05-19 10:21:48
 * @LastEditors: xhc 15171145581@163.com
 * @LastEditTime: 2025-05-19 10:41:30
 * @FilePath: \bht-app\src\main.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import {
 createSSRApp
} from "vue";
import * as Pinia from 'pinia';
// pinia数据持久化
import { createUnistorage } from 'pinia-plugin-unistorage'
import App from "./App.vue";
export function createApp() {
    const app = createSSRApp(App);
    const store = Pinia.createPinia();
	store.use(createUnistorage());
    app.use(store);
    return {
        app,
        Pinia
    };
}
